nargs {base} | R Documentation

## The Number of Arguments to a Function

### Description

When used inside a function body, `nargs` returns the number of arguments supplied to that function, including positional arguments left blank.

### Usage

    nargs()

### See Also

`args`, `formals` and `sys.call`.

### Examples

    tst <- function(a, b = 3, ...) {nargs()}
    tst() # 0
    tst(clicketyclack) # 1 (even non-existing)
    tst(c1, a2, rr3) # 3

    foo <- function(x, y, z, w) {
       cat("call was", deparse(match.call()), "\n")
       nargs()
    }
    foo()    # 0
    foo(,,3) # 3
    foo(z=3) # 1, even though this is the same call

    nargs()# not really meaningful

[Package Contents]